Jump to content

Sign in to follow this  
Guest

nVidia Detonator 31.80 WHQL Drivers

Recommended Posts

Guest

Hmmmm, the 40.72's are the latest at the NVidia driver site. :-rollGreg

Share this post


Link to post
Share on other sites
Guest GiZBUG

The latest in respect to the Det 40's, yes.But if you don't want to run Detonator 40's (Optimized for GF4) and stick with more stable 30xx's these are the newest>Hmmmm, the 40.72's are the latest at the NVidia driver site. >:-roll >>>Greg

Share this post


Link to post
Share on other sites
Guest PaulL01

>nVidia has released new WHQL certified Detonator drivers for >all Windows. Sorry thats not true, these are "leaked" drivers and not official releases at all And are not WHQL, they are however dated september 21 wich makes them the newest 31.xx leaked files. leaked 41.09's are out as well, but with a GF3 you arent really doing yourself any great favor as optimization for gf3 card ceased around 23.11/23.12, however some of the newer control panels (40/41.xx) are nice.Keep it real. :)

Share this post


Link to post
Share on other sites
Guest bfindlay

I looked for these at the link you posted, but it is a 404 error - file not found.The site does not have an apparent link to these drivers. Any news on where they might be hiding?PS search function was disabled at the site as well.

Share this post


Link to post
Share on other sites
Guest

As long as they're not at http://www.nvidia.com they're NOT released drivers. They're betas or alphas, which means they're likely unstable (at least on some machines) and certainly NOT certified.Manufacturers (or unscrupulous people working for them and going against their NDAs) often leak non-finished products.Use at your own risk, and don't complain about being an unpaid betatester if you get into trouble.

Share this post


Link to post
Share on other sites
Guest GiZBUG

So you need no advantage with running anything higher than 31xx drivers with a GF3?

Share this post


Link to post
Share on other sites
Guest Dean

I found anything higher than 30.82 on my GF3 causes the EarthViewer program to stop working with a missing GL file message.

Share this post


Link to post
Share on other sites
Guest

The 40.xx series caused major trouble with my GF2Ti card. Don't know about a GF3, probably similar if the drivers are designed specifically for GF4 (despite being marketted as being universal).

Share this post


Link to post
Share on other sites
Guest

As Paul correctly points out, I doubt if there is much, if any, benefit running anything above 23.11 with a GF3. All the "new stuff" past that release appears to be GF4-related. In fact, there have been numerous credible reports of worsened performance with some of the newer leaked drivers on both GF2's and GF3's (and even some GF4's :-) ). Likewise, anything newer that 12.90's on a GF2 is questionable as far as performance improvements are concerned. All mileage is, of course, variable.Trip

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...